@import url(https://fonts.bunny.net/css?family=barlow-semi-condensed:100,100i,200,200i,300,300i,400,400i,500,500i,600,600i,700,700i,800,800i,900,900i);
* {
  margin: 0;
  padding: 0;
  font-family: "Barlow Semi Condensed", sans-serif;
  color: #111;
  text-decoration: none;
  list-style-type: none;
  line-height: 125%;

  box-sizing: border-box;
}

:root {
  --main-color: #353535;
  --secondary-color: #dfe1e6;
  --button-color: #00baa8;
  --button-hover: #85ffff;
  --button-active: #6be8c2;
  --padding-small: 1em;
  --padding-medium: 2em;
}

main {
  margin: 0px auto;
  width: 100%;
  margin-bottom: 150px;
  gap: 20px;
  display: flex;
  flex-direction: column;
  align-items: center;
}

h1 {
  font-size: 2.75em;
  color: white;
}
p {
  width: 375px;
  margin: 0px auto;
  font-size: 1.1em;
}

header {
  background-color: var(--main-color);
  display: flex;
  align-items: center;
}

#logo {
  width: 320px;
  padding: 10px;
  padding-left: var(--padding-small);
}
nav {
  display: flex;
  justify-content: center;
  margin: auto 40px auto auto;
}
nav ul {
  display: flex;
  gap: var(--padding-small);
}
nav ul li a {
  transition: all 150ms ease-in-out;
  color: white;
  font-size: 1.2em;
  padding: 10px;
  display: flex;
}
nav ul li a:hover {
  background-color: var(--main-color);
  color: var(--button-hover);
}
nav ul li a:active {
  background-color: var(--button-active);
  color: var(--main-color);
}
#toggle-nav {
  display: none;
  position: absolute;
  right: 1em;
  top: 0.48em;
  font-size: 28px;
}

footer {
  background-color: var(--main-color);
  display: flex;
  align-items: center;
  padding: 10px;
}
footer p {
  color: white;
  width: 100%;
  margin-left: 10px;
  font-weight: 200;
  font-size: 0.8em;
}
#social-media li a img {
  height: 25px;
}

#design header nav ul li:nth-child(1) a,
#interactive header nav ul li:nth-child(2) a,
#illustration header nav ul li:nth-child(3) a,
#about header nav ul li:nth-child(4) a {
  color: var(--button-active);
}

#hero-home {
  background-image: url(/images/background.webp);
  min-height: fit-content;
  width: 100%;
  background-repeat: no-repeat;
  background-size: cover;
  background-position: 50% 50%;
  display: flex;
  align-items: center;
  justify-content: center;
}
#characters {
  max-height: 640px;
  max-width: 45%;
  margin-right: 5%;
  background-repeat: no-repeat;
  background-size: contain;
}
#tagline {
  margin-top: -0.5%;
}
#tagline h1 {
  font-size: 7vw;
}

#hero-design {
  background-image: url(/images/design.jpg);
}
#hero-interactive {
  background-image: url(/images/interactive.jpg);
}
#hero-illustration {
  background-image: url(/images/illustration.jpg);
}
#hero-about {
  background-image: url(/images/about.jpg);
}

#hero-design,
#hero-interactive,
#hero-illustration,
#hero-about {
  height: 140px;
  width: 100%;
  background-repeat: no-repeat;
  background-size: cover;
  background-position: 50% 50%;
  display: flex;
  align-items: center;
}

#hero-design h1,
#hero-interactive h1,
#hero-illustration h1,
#hero-about h1 {
  margin: 0 auto;
}

#design-grid {
  display: grid;
  grid-template-columns: 1fr 1fr 1fr;
  grid-gap: var(--padding-small);
}
#interactive-grid {
  display: flex;
  flex-direction: column;
  gap: 25px;
}
#interactive-grid a .web-preview,
#resume {
  box-shadow: 1px 1px 8px 1px #888888;
  max-width: 850px;
}


.link {
  background-color: var(--button-color);
  color: white;
  padding: 10px;
  font-weight: 500;
  width: fit-content;
  display: flex;
  gap: 5px;
  align-items: center;
  text-transform: uppercase;
}
.link img {
  height: 20px;
}
.link:hover {
  background-color: var(--button-active);
}

#interactive-grid .link {
  margin: 0 auto;
  margin-top: -20px;
}

.row {
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  margin: 0 10px;
}

/* Create three equal columns that sits next to each other */
.column {
  flex: 30%;
  max-width: 30%;
  padding: 0 10px;
}

.column img {
  margin-top: 8px;
  vertical-align: middle;
  width: 100%;
  box-shadow: 1px 1px 4px 1px #888888;
  margin: 10px 0;
}

#design-grid img:hover,
#interactive-grid img:hover,
.column img:hover {
  opacity: 60%;
  transition: all 300ms ease-in-out;
}

.lightbox {
  /* Default to hidden */
  display: none;
  flex-direction: column;

  /* Overlay entire screen */
  position: fixed;
  z-index: 999;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;

  /* A bit of padding around image */
  padding: 1em;
  gap: 1em;

  /* Translucent background */
  background: rgba(0, 0, 0, 0.8);
}
/* Unhide the lightbox when it's the target */
.lightbox:target {
  display: flex;
  align-items: center;
}
.lightbox .image {
  /* Full width and height */
  display: flex;
  flex-direction: column;
  height: 100%;
  width: 100%;

  /* Size and position background image */
  background-position: center;
  background-repeat: no-repeat;
  background-size: contain;
}
.project-description {
  display: flex;
  flex-direction: column;
  color: white;
  text-decoration: none;
  width: 400px;
}
.project-description h2,
.project-description p {
  color: white;
  margin: 0;
}
.vertical{
  flex-direction: row;
}
.vertical .project-description{
  margin-right: 10%;
}

#design-grid a img {
  max-width: 400px;
  max-height: 400px;
}

#design-grid a {
  max-width: 400px;
  max-height: 400px;
}

.video {
  width: 100%;
  height: 56vw;
  max-width: 150vh;
}

@media screen and (max-width: 1300px) {
  #design-grid {
    grid-template-columns: repeat(2, 1fr);
  }
  .vertical{
    flex-direction: column;
  }
  .vertical .project-description{
    margin-right: 0;
  }
}

@media screen and (max-width: 900px) {
  #design-grid a img {
    width: 100%;
  }

  .inner {
    overflow: hidden;
    width: 100%;
  }
  nav ul li a {
    display: block;
    padding: 10px 10px;
    width: 100%;
    text-align: center;
  }
  nav ul {
    display: block;
    justify-content: center;
    text-align: center;
    width: 100%;
  }
  #primary-nav {
    display: grid;
    grid-template-rows: 0fr;
    transition: grid-template-rows 1s ease-out;
    background-color: #444;
    margin-right: 0;
    width: 100%;
  }
  #primary-nav ul {
    height: 0;
    transition: height 1s ease-out;
  }
  #primary-nav li {
    display: block;
    width: 100%;
  }
  nav ul li a:hover {
    background-color: #444;
  }
  body.nav-open #primary-nav {
    grid-template-rows: 4fr;
  }
  body.nav-open #primary-nav ul {
    height: auto;
    transition: height 1s ease-out;
  }
  #toggle-nav {
    display: block;
    background-color: var(--main-color-1);
    border: none;
    padding: 5px 5px;
    color: white;
    margin-top: 10px;
    cursor: pointer;
  }

  #interactive-grid a .web-preview,
  #resume {
    max-width: calc(100% - 2*var(--padding-medium));
    margin: 0 var(--padding-medium);
  }
  #interactive-grid{
    display: flex;
  }
  header{
    display: block;
  }
  .column {
    flex: 100%;
    max-width: 100%;
  }
}


@media screen and (max-width: 600px) {
  p{
    width: 275px;
  }
}

